local grandTotal = 0;
local total = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
local cols = {"one", "two", "thr" , "fou", "fiv", "six", "sev", "egh", "nin", "ten", "twe", "ele"};

function handle_record(record)
    grandTotal = grandTotal + record:get('OVERALL');
    for key, value in ipairs(cols) do
        total[key] = total[key] + record:get(value);
    end
end

function complete(result)
    result:set("GRAND_TOTAL", grandTotal);
    for key, value in ipairs(cols) do
        result:set("TOTAL_" .. value, total[key]);
    end
end